package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import com.sun.xml.internal.txw2.annotation.XmlCDATA;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "METADATAEXTENSION"
)
public class METADATAEXTENSION {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "VENDORNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String vendorname;
   @XmlAttribute(
      name = "DOMAINNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String domainname;
   @XmlAttribute(
      name = "DATATYPE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String datatype;
   @XmlAttribute(
      name = "VALUE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String value;
   @XmlAttribute(
      name = "MAXLENGTH"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String maxlength;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlAttribute(
      name = "ISSHAREREAD"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isshareread;
   @XmlAttribute(
      name = "ISSHAREWRITE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String issharewrite;
   @XmlAttribute(
      name = "ISCLIENTVISIBLE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isclientvisible;
   @XmlAttribute(
      name = "ISCLIENTEDITABLE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isclienteditable;
   @XmlAttribute(
      name = "ISREUSABLE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isreusable;
   @XmlAttribute(
      name = "COMPONENTVERSION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String componentversion;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getVENDORNAME() {
      return this.vendorname;
   }

   public void setVENDORNAME(String value) {
      this.vendorname = value;
   }

   public String getDOMAINNAME() {
      return this.domainname;
   }

   public void setDOMAINNAME(String value) {
      this.domainname = value;
   }

   public String getDATATYPE() {
      return this.datatype;
   }

   public void setDATATYPE(String value) {
      this.datatype = value;
   }

   public String getVALUE() {
      return this.value;
   }

   @XmlCDATA
   public void setVALUE(String value) {
      this.value = value;
   }

   public String getMAXLENGTH() {
      return this.maxlength;
   }

   public void setMAXLENGTH(String value) {
      this.maxlength = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public String getISSHAREREAD() {
      return this.isshareread;
   }

   public void setISSHAREREAD(String value) {
      this.isshareread = value;
   }

   public String getISSHAREWRITE() {
      return this.issharewrite;
   }

   public void setISSHAREWRITE(String value) {
      this.issharewrite = value;
   }

   public String getISCLIENTVISIBLE() {
      return this.isclientvisible;
   }

   public void setISCLIENTVISIBLE(String value) {
      this.isclientvisible = value;
   }

   public String getISCLIENTEDITABLE() {
      return this.isclienteditable;
   }

   public void setISCLIENTEDITABLE(String value) {
      this.isclienteditable = value;
   }

   public String getISREUSABLE() {
      return this.isreusable;
   }

   public void setISREUSABLE(String value) {
      this.isreusable = value;
   }

   public String getCOMPONENTVERSION() {
      return this.componentversion;
   }

   public void setCOMPONENTVERSION(String value) {
      this.componentversion = value;
   }
}
